CMSIS-Zone (Preview): /azone/partition element

| CMSIS-Zone (Preview) Version 0.9.2 System Resource Management

- Main Page
- Usage and Description

All Files Pages
/azone/partition element

The /azone/partition element contains a list of memory partitions that are created with the CMSIS-Zone utility. These memory partitions are based on parent memory definitions specified by /rzone/resources/memories element.

Example

<partition>
<memory parent="Flash_NS" name="ROM_NS" offset="0x00000000" size="0x40000" fixed="1" access="rx" info="application code" />
<memory parent="Flash_S" name="ROM_S" offset="0x00040000" size="0x40000" access="x" info="boot code />
<memory parent="SRAM1_NS" name="RAM_NS" offset="0x00000000" size="0x20000" />
<memory parent="SRAM1_S" name="RAM_S" offset="0x00010000" size="0x20000" />
</partition>

Parent Element | Element Chain
--- | ---
azone | /azone element
Child Elements | Description | Type | Occurrence
memory | Defines a new memory sub-region that is related to a parent region in the *.rzone file. | complexType | 0..*
peripheral | Defines a settings for a peripheral. | complexType | 0..*

# /azone/partition/memory element

The /azone/partition/memory element defines a new memory sub-region that is related to a parent region in the *.rzone file.

Todo:
  this needs verification

Parent Element | Element Chain
--- | ---
partition | /azone/partition element
Attributes | Description | Type | Use
parent | The name of the parent region in the related *.rzone file. | xs:string | required
name | The name of a new memory partition. | xs:string | required
size | The physical memory size this block allocates. | xs:string | required
offset | The address offset of this memory partition. If fixed="1" the memory block cannot be re-ordered within the region. | xs:string | required
access | Access permissions for this memory block. | AccessType | optional
security | Security attributes for this memory block. | SecurityType | optional
privilege | Privilege level for this memory block. | PrivilegeType | optional
startup | "1" specifies that this region is used for the startup code of the application. Default value is "0". | xs:boolean | optional
fixed | "1" indicates a fixed offset within that region. "0" (default) allows to re-arrange the block within the region. | xs:boolean | optional
uninit | "1" specifies that this region is not zero initialized during startup. Default value is "0". | xs:boolean | optional
shared | "1" specifies that this region is used by multiple zones. Default value is "0". | xs:boolean | optional
dma | "1" specifies that this region is accessed by a DMA controller. Default value is "0". | xs:boolean | optional
Pname | The processor that can access this memory region. If omitted all processors of the system have access. | xs:string | optional
info | Brief description of the memory block. | xs:string | optional

# /azone/partition/peripheral element

The /azone/partition/peripheral element defines settings for a peripheral in a related *.rzone file.

Todo:
  this needs verification

Parent Element | Element Chain
--- | ---
partition | /azone/partition element
Attributes | Description | Type | Use
name | The name of the peripheral. The combination group / name must be be unique within a processor (specified by Pname). | xs:string | required
group | The group name of the peripheral. The combination group / name must be be unique within a processor (specified by Pname). | xs:string | required
start | The logical start address of the peripheral in both secure and non-secure mode. | xs:string | optional
start_s | The logical start address of the peripheral in secure mode. | xs:string | optional
start_ns | The logical start address of the peripheral in non-secure mode. | xs:string | optional
shared | "1" specifies that this peripheral group is used by multiple zones. Default value is "0". | xs:boolean | optional
dma | "1" specifies that this peripheral group is accessed by a DMA controller. Default value is "0". | xs:boolean | optional
external | "1" specifies that this peripheral is provided by an external component that is not part of the device. Default value is "0". | xs:boolean | optional
access | Access permissions for this peripheral. | AccessType | optional
security | Security attributes for this peripheral. | SecurityType | optional
privilege | Privilege level for this peripheral. | PrivilegeType | optional
Child Elements | Description | Type | Occurrence
slot | Defines a settings for a slot. | complexType | 0..*

# /azone/partition/peripheral/slot element

The /azone/partition/peripheral/slot element defines settings for a slot in a related *.rzone file.

Todo:
  this needs verification

Parent Element | Element Chain
--- | ---
peripheral | /azone/partition/peripheral element
Attributes | Description | Type | Use
name | The name of the slot. The combination group / peripheral / name must be be unique within a processor (specified by Pname). | xs:string | required
secure | Overwrites the setting of the secure attribute in the *.rzone file. | xs:boolean | optional
privilege | Overwrites the setting of the privilege attribute in the *.rzone file. | xs:boolean | optional